Description: Don't try to run programs (think cross-compiling)
 On Debian we have the right versions :-)
Author: IOhannes m zmölnig
Origin: Debian
Forwarded: no
Last-Update: 2022-07-22
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- libquicktime.orig/configure.ac
+++ libquicktime/configure.ac
@@ -252,11 +252,10 @@
 AC_MSG_CHECKING(for lame)
 have_lame="false"
 
-  AC_TRY_RUN([
+  AC_TRY_LINK([
     #include <lame/lame.h>
     #include <stdio.h>
-    main()
-    {
+  ],[
     int version_major;
     int version_minor;
     const char * version;
@@ -268,7 +267,6 @@
     if((version_major != 3) || (version_minor < 93))
       return 1;
     return 0;
-    }
   ],
   [
     # program could be run
@@ -668,11 +666,10 @@
 CFLAGS="$CFLAGS"
 
 AC_MSG_CHECKING(for faac)
-AC_TRY_RUN([
+AC_TRY_LINK([
     #include <inttypes.h>
     #include <faac.h>
-    main()
-    {
+    ],[
     int samplerate = 44100, num_channels = 2;
     unsigned long input_samples, output_bytes;
     faacEncHandle enc;
@@ -682,7 +679,6 @@
                       &output_bytes);
 
     return 0;
-    }
   ],
   [
     # program could be run
@@ -737,11 +733,10 @@
 AC_MSG_CHECKING(for neaacdec.h usability for faad2)
 
 
-AC_TRY_RUN([
+AC_TRY_LINK([
     #include <neaacdec.h>
     #include <stdio.h>
-    main()
-    {
+    ],[
     int faad_major;
     int faad_minor;
     faacDecHandle dec;
@@ -752,7 +747,6 @@
     if(!dec)
       return -1;
     return 0;
-    }
   ],
   [
     # program could be run
@@ -770,11 +764,10 @@
 
 AC_MSG_CHECKING(for faad.h usability for faad2)
 
-AC_TRY_RUN([
+AC_TRY_LINK([
     #include <faad.h>
     #include <stdio.h>
-    main()
-    {
+    ],[
     int faad_major;
     int faad_minor;
     faacDecHandle dec;
@@ -785,7 +778,6 @@
     if(!dec)
       return -1;
     return 0;
-    }
   ],
   [
     # program could be run
